.magic-menu {
  width: 98%;
  position: absolute;
  position: fixed;
  bottom: 0px;
  margin-top: 50px;
  left: 50%;
  transform: translate(-50%);
}
body {
  background-color: lightgray;
}
.magic-menu > ul {
  padding: 0px;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  position: relative;
  justify-content: space-around;
  margin: 0px;
  background: linear-gradient(120deg, #2980b9, #8e44ad);
  height: max-content;
  border-radius: 20px;
  height: 40px;
  align-items: center;
}
.magic-menu > ul > li {
  display: flex;
  flex-direction: column;
  align-items: center;
}
ion-icon {
  background-color: aliceblue;
  font-size: 25px;
  cursor: pointer;
  border-radius: 50%;
}
span {
  background-color: aliceblue;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5px;
}

.magic-menu > ul > li:hover ion-icon {
  font-size: 40px;
}

.magic-menu > ul > li:hover span {
  margin-bottom: -22px;
  border-radius: 50%;
  transform: translateY(-30px);
  border: 6px solid lightgray;
}
ion-icon[name="logo-whatsapp"]:hover {
  color: #25d366;
}
ion-icon[name="logo-facebook"]:hover {
  color: blue;
}
ion-icon[name="logo-twitter"]:hover {
  color: #1da1f2;
}
.magic-menu > ul > li:hover span::before {
  content: "";
  width: 21px;
  height: 13px;
  background-color: transparent;
  position: absolute;
  top: 47%;
  left: -26px;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 5px;
  box-shadow: 5px -5px 0px lightgray;
}
.magic-menu > ul > li:hover span::after {
  content: "";
  width: 21px;
  height: 13px;
  background-color: transparent;
  position: absolute;
  top: 47%;
  left: 55px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 5px;
  box-shadow: -5px -5px 0px lightgray;
}
img {
  cursor: pointer;

  width: 25px;
}
.magic-menu > ul > li:hover img {
  width: 45px;
}
